Subject: Re: [PATCH net 1/3] gre: do not assign header_ops in collect metadata mode

From: Jiri Benc <[email-masked]>
Date: Sun, 24 Apr 2016 11:31:11 +0200

On Sat, 23 Apr 2016 03:41:43 +0200, Thomas Graf wrote:
> On 04/22/16 at 11:20pm, Jiri Benc wrote:
> > On Fri, 22 Apr 2016 14:04:48 -0700, pravin shelar wrote:
> > > I think we should we return error in case of such configuration rather
> > > than silently ignoring it.
> > 
> > I thought about it and I'm not sure. We're not returning an error
> > currently, starting returning it now might be perceived as uAPI
> > breakage.
> > 
> > But given it doesn't work at all currently, there are apparently no
> > users yet. I'll wait for more feedback.
> 
> As a user, I would probably favour receiving an error for a configuration
> that can't possibly work and was not working before.

Okay, I'll change this in v2. Thanks, Pravin and Thomas.

 Jiri